View Issue Details

IDProjectCategoryView StatusLast Update
0000076Bacula-Webbug-designpublic2013-11-19 15:05
ReporterccsproAssigned Todavide 
PrioritynormalSeveritytweakReproducibilityalways
Status closedResolutionfixed 
Product Version5.2.10 
Target Version6.0.0Fixed in Version6.0.0 
Summary0000076: Add noscript submit button where ever it does not exist (example provided)
DescriptionSome drop downs assume auto submission on form change will be submitted, with addons like 'noscript' in firefox these forms do not work as expected, simple solution is to add a NOSCRIPT block to the template pages.

Simple fix.
Steps To Reproduceget firefox and noscript addon
disallow javascript for certain functions to reproduce - any broswer that has restrictions for auto submission selectors will have this issue.


Additional InformationAdd <noscript><input type="submit" value="Submit"></noscript>

to a new line after:
{html_options name=catalog_id options=$catalogs selected=$catalog_current_id onchange="submit();"}

in:
application/view/header.tpl

Do the same thing in application/view/jobs.tpl
TagsNo tags attached.

Activities

davide

2013-05-01 11:00

manager   ~0000251

I'm going try to fix this bug in next version.

davide

2013-10-13 21:11

manager   ~0000270

Fixed html code in header and jobs template files.

 - removed all "auto-submit" javascript code in jobs by an "Apply" button
 - added <noscript> html tag in header template for catalog selection

This fixe will be included in the next release.

Best regards

davide

2013-11-19 15:05

manager   ~0000302

Issue closed

Issue History

Date Modified Username Field Change
2012-12-14 21:22 ccspro New Issue
2013-04-06 18:56 davide Target Version => 5.2.13-1
2013-05-01 10:59 davide Product Version => 5.2.10
2013-05-01 10:59 davide Target Version 5.2.13-1 => 6.0.0
2013-05-01 11:00 davide Note Added: 0000251
2013-05-01 11:04 davide Assigned To => davide
2013-05-01 11:04 davide Status new => assigned
2013-10-13 21:11 davide Note Added: 0000270
2013-10-13 21:11 davide Status assigned => resolved
2013-10-13 21:11 davide Resolution open => fixed
2013-10-13 22:32 davide Fixed in Version => 6.0.0
2013-11-19 15:05 davide Status resolved => closed
2013-11-19 15:05 davide Note Added: 0000302
2014-12-24 11:36 davide Category design => bug/design
2016-04-17 15:36 davide Category bug/design => bug-design